[Phonehome-commits] r113 - in trunk/client: . data debian src
pamadio at garage.maemo.org
pamadio at garage.maemo.org
Sat Oct 25 21:13:34 EEST 2008
Author: pamadio
Date: 2008-10-25 21:13:33 +0300 (Sat, 25 Oct 2008)
New Revision: 113
Added:
trunk/client/data/
trunk/client/data/org.maemo.phonehome.service
trunk/client/data/phonehome.desktop
trunk/client/debian/phonehome.postinst
trunk/client/debian/phonehome.postrm
trunk/client/debian/phonehome.prerm
trunk/client/phonehome-init.sh
Removed:
trunk/client/debian/init.d
Modified:
trunk/client/Makefile
trunk/client/debian/changelog
trunk/client/src/dsk_mgr.c
Log:
packaging
Modified: trunk/client/Makefile
===================================================================
--- trunk/client/Makefile 2008-10-25 15:41:59 UTC (rev 112)
+++ trunk/client/Makefile 2008-10-25 18:13:33 UTC (rev 113)
@@ -14,6 +14,11 @@
install: all
install -d $(DESTDIR)/usr/sbin
+ install -d $(DESTDIR)/etc/init.d
+ install -d $(DESTDIR)/usr/share/dbus-1/services
+ install -d $(DESTDIR)/usr/share/applications/hildon
install -m 0755 dsk_mgr $(DESTDIR)/usr/sbin
+ install -m 0755 phonehome-init.sh $(DESTDIR)/etc/init.d/phonehome
+ install -m 0755 data/org.maemo.phonehome.service $(DESTDIR)/usr/share/dbus-1/services
+ install -m 0755 data/phonehome.desktop $(DESTDIR)/usr/share/applications/hildon
-
Added: trunk/client/data/org.maemo.phonehome.service
===================================================================
--- trunk/client/data/org.maemo.phonehome.service (rev 0)
+++ trunk/client/data/org.maemo.phonehome.service 2008-10-25 18:13:33 UTC (rev 113)
@@ -0,0 +1,3 @@
+[D-BUS Service]
+Name=org.maemo.phonehome
+Exec=/usr/sbin/dsk_mgr
Added: trunk/client/data/phonehome.desktop
===================================================================
--- trunk/client/data/phonehome.desktop (rev 0)
+++ trunk/client/data/phonehome.desktop 2008-10-25 18:13:33 UTC (rev 113)
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Encoding=UTF-8
+Version=1.0
+Type=Application
+Name=phonehome
+Comment=phonehome.
+Terminal=False
+X-HildonDesk-ShowInToolbar=false
+Exec=/usr/sbin/dsk_mgr
+X-Osso-Service=org.maemo.phonehome
+X-Osso-Type=application/x-executable
+
Modified: trunk/client/debian/changelog
===================================================================
--- trunk/client/debian/changelog 2008-10-25 15:41:59 UTC (rev 112)
+++ trunk/client/debian/changelog 2008-10-25 18:13:33 UTC (rev 113)
@@ -1,6 +1,7 @@
-phonehome (0-1.20091020.2) unstable; urgency=low
+phonehome (0-1.20091025.5) unstable; urgency=low
* Initial release
+ *
- -- Pierre Amadio <pierre.amadio at libertysurf.fr> Mon, 20 Oct 2008 21:16:34 +0200
+ -- Pierre Amadio <pierre.amadio at libertysurf.fr> Sat, 25 Oct 2008 19:55:41 +0200
Deleted: trunk/client/debian/init.d
===================================================================
--- trunk/client/debian/init.d 2008-10-25 15:41:59 UTC (rev 112)
+++ trunk/client/debian/init.d 2008-10-25 18:13:33 UTC (rev 113)
@@ -1,81 +0,0 @@
-#! /bin/sh
-#
-# skeleton example file to build /etc/init.d/ scripts.
-# This file should be used to construct scripts for /etc/init.d.
-#
-# Written by Miquel van Smoorenburg <miquels at cistron.nl>.
-# Modified for Debian
-# by Ian Murdock <imurdock at gnu.ai.mit.edu>.
-#
-# Version: @(#)skeleton 1.9 26-Feb-2001 miquels at cistron.nl
-#
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON=/usr/sbin/dsk_mgr
-NAME=phonehome
-DESC=phonehome
-
-test -x $DAEMON || exit 0
-
-# Include phonehome defaults if available
-if [ -f /etc/default/phonehome ] ; then
- . /etc/default/phonehome
-fi
-
-set -e
-
-case "$1" in
- start)
- echo -n "Starting $DESC: "
- start-stop-daemon --start --quiet \
- --exec $DAEMON -- $DAEMON_OPTS
- echo "$NAME."
- ;;
- stop)
- echo -n "Stopping $DESC: "
- start-stop-daemon --stop --quiet \
- --exec $DAEMON
- echo "$NAME."
- ;;
- #reload)
- #
- # If the daemon can reload its config files on the fly
- # for example by sending it SIGHUP, do it here.
- #
- # If the daemon responds to changes in its config file
- # directly anyway, make this a do-nothing entry.
- #
- # echo "Reloading $DESC configuration files."
- # start-stop-daemon --stop --signal 1 --quiet \
- # --exec $DAEMON
- #;;
- force-reload)
- #
- # If the "reload" option is implemented, move the "force-reload"
- # option to the "reload" entry above. If not, "force-reload" is
- # just the same as "restart" except that it does nothing if the
- # daemon isn't already running.
- # check wether $DAEMON is running. If so, restart
- start-stop-daemon --stop --test --quiet \
- --exec $DAEMON \
- && $0 restart \
- || exit 0
- ;;
- restart)
- echo -n "Restarting $DESC: "
- start-stop-daemon --stop --quiet \
- --exec $DAEMON
- sleep 1
- start-stop-daemon --start --quiet \
- --exec $DAEMON -- $DAEMON_OPTS
- echo "$NAME."
- ;;
- *)
- N=/etc/init.d/$NAME
- # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
- echo "Usage: $N {start|stop|restart|force-reload}" >&2
- exit 1
- ;;
-esac
-
-exit 0
Added: trunk/client/debian/phonehome.postinst
===================================================================
--- trunk/client/debian/phonehome.postinst (rev 0)
+++ trunk/client/debian/phonehome.postinst 2008-10-25 18:13:33 UTC (rev 113)
@@ -0,0 +1,14 @@
+#!/bin/sh
+if [ ! -e /var/lib/dbus/machine-id ]; then
+dbus-uuidgen --ensure=/var/lib/dbus/machine-id
+fi
+
+update-rc.d phonehome start 99 2 .
+ln -s /etc/init.d/phonehome /etc/rc1.d/K99phonehome
+ln -s /etc/init.d/phonehome /etc/rc0.d/K99phonehome
+ln -s /etc/init.d/phonehome /etc/rc6.d/K99phonehome
+
+/usr/bin/run-standalone.sh /usr/sbin/dsk_mgr
+
+exit 0
+
Added: trunk/client/debian/phonehome.postrm
===================================================================
--- trunk/client/debian/phonehome.postrm (rev 0)
+++ trunk/client/debian/phonehome.postrm 2008-10-25 18:13:33 UTC (rev 113)
@@ -0,0 +1,3 @@
+#!/bin/sh
+find /etc/rc*|grep phonehome|xargs rm
+
Added: trunk/client/debian/phonehome.prerm
===================================================================
--- trunk/client/debian/phonehome.prerm (rev 0)
+++ trunk/client/debian/phonehome.prerm 2008-10-25 18:13:33 UTC (rev 113)
@@ -0,0 +1,3 @@
+#!/bin/sh
+/etc/init.d/phonehome stop
+exit 0
Added: trunk/client/phonehome-init.sh
===================================================================
--- trunk/client/phonehome-init.sh (rev 0)
+++ trunk/client/phonehome-init.sh 2008-10-25 18:13:33 UTC (rev 113)
@@ -0,0 +1,80 @@
+#! /bin/sh
+#
+# skeleton example file to build /etc/init.d/ scripts.
+# This file should be used to construct scripts for /etc/init.d.
+#
+# Written by Miquel van Smoorenburg <miquels at cistron.nl>.
+# Modified for Debian
+# by Ian Murdock <imurdock at gnu.ai.mit.edu>.
+#
+# Version: @(#)skeleton 1.9 26-Feb-2001 miquels at cistron.nl
+#
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/dsk_mgr
+NAME=phonehome
+DESC=phonehome
+
+test -x $DAEMON || exit 0
+
+# Include phonehome defaults if available
+if [ -f /etc/default/phonehome ] ; then
+ . /etc/default/phonehome
+fi
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --exec /usr/bin/run-standalone.sh $DAEMON -- $DAEMON_OPTS 1>/tmp/plop 2>/tmp/plop
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop --quiet \
+ --exec $DAEMON
+ echo "$NAME."
+ ;;
+ #reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # echo "Reloading $DESC configuration files."
+ # start-stop-daemon --stop --signal 1 --quiet \
+ # --exec $DAEMON
+ #;;
+ force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart" except that it does nothing if the
+ # daemon isn't already running.
+ # check wether $DAEMON is running. If so, restart
+ start-stop-daemon --stop --test --quiet \
+ --exec $DAEMON \
+ && $0 restart \
+ || exit 0
+ ;;
+ restart)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop --quiet \
+ --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start /usr/bin/run-standalone.sh \
+ --exec $DAEMON -- $DAEMON_OPTS
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
Modified: trunk/client/src/dsk_mgr.c
===================================================================
--- trunk/client/src/dsk_mgr.c 2008-10-25 15:41:59 UTC (rev 112)
+++ trunk/client/src/dsk_mgr.c 2008-10-25 18:13:33 UTC (rev 113)
@@ -1138,7 +1138,7 @@
GError* err;
gchar * debug_snt;
- osso_context=osso_initialize ( "phonehome",
+ osso_context=osso_initialize ( "org.maemo.phonehome",
"1.0",
TRUE,
NULL
More information about the Phonehome-commits
mailing list